com.io7m.jregions.core.unparameterized.areas

## Class AreaYSplitI.Builder<T extends AreaIType>

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.areas.AreaYSplitI.Builder<T>

- Enclosing class:
    AreaYSplitI<T extends AreaIType>

      public static final class AreaYSplitI.Builder<T extends AreaIType>
      extends Object

  Builds instances of type `AreaYSplitI`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AreaYSplitI<T>` | `build()` Builds a new `AreaYSplitI`.
    `AreaYSplitI.Builder<T>` | `from(AreaYSplitIType<T> instance)` Fill a builder with attribute values from the provided `AreaYSplitIType` instance.
    `AreaYSplitI.Builder<T>` | `setLower(T lower)` Initializes the value for the `lower` attribute.
    `AreaYSplitI.Builder<T>` | `setUpper(T upper)` Initializes the value for the `upper` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final AreaYSplitI.Builder<T> from(AreaYSplitIType<T> instance)

      Fill a builder with attribute values from the provided `AreaYSplitIType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setLower

          public final AreaYSplitI.Builder<T> setLower(T lower)

      Initializes the value for the `lower` attribute.
      Parameters:
        `lower` - The value for lower
      Returns:
        `this` builder for use in a chained invocation

    - #### setUpper

          public final AreaYSplitI.Builder<T> setUpper(T upper)

      Initializes the value for the `upper` attribute.
      Parameters:
        `upper` - The value for upper
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public AreaYSplitI<T> build()

      Builds a new `AreaYSplitI`.
      Returns:
        An immutable instance of AreaYSplitI
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com